Skip to main content
`Ctrl`+`K`

# SinhStretch

class astropy.visualization.SinhStretch(a=0.3333333333333333)

  Bases: `BaseStretch`

  A sinh stretch.

  The stretch is given by:

  \[y = \frac{{\rm sinh}(x / a)}{{\rm sinh}(1 / a)}\]
  Parameters:
    a `python:float`, optional

      The `a` parameter used in the above formula. The stretch becomes more linear for larger `a` values and more exponential for smaller `a` values. `a` must be greater than 0. Default is 1/3.

  Examples

  (`Source code`, `png`, `svg`, `pdf`)

  Attributes Summary

  `inverse` | A stretch object that performs the inverse operation.

  Methods Summary

  `__call__`(values[, clip, out]) | Transform values using this stretch.

  Attributes Documentation

  inverse

    A stretch object that performs the inverse operation.

  Methods Documentation

  __call__(values, clip=True, out=None)

    Transform values using this stretch.

    Parameters:
      values numpy:array_like

        The input values, which should already be normalized to the [0:1] range.

      clip bool, optional

        If `True` (default), values outside the [0:1] range are clipped to the [0:1] range.

      out `ndarray`, optional

        If specified, the output values will be placed in this array (typically used for in-place calculations).

    Returns:
      result `ndarray`

        The transformed values.